using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;
using WCS.Entity.Protocol.SRM;

namespace WCS.Entity.Protocol.RGV
{
    /// <summary>
    ///  RGV523
    /// </summary>
    [DataContract]
    [SugarTable("FJ_RGV523")]
    public class WCS_RGV523 : IRGV523
    {
        /// <inheritdoc/>
        [DataMember(Order = 0)]
        public RgvAlarm Alarm { get; set; }

        [DataMember(Order = 1)]
        public new DateTime Frame { get; set; }

        [DataMember(Order = 2)]
        public new string Code { get; set; }
    }

    /// <summary>
    ///  RGV523
    /// </summary>
    [DataContract]
    [SugarTable("FJ_RGV523")]
    public class QuestDb_RGV523
    {
        public string Alarm { get; set; }

        [TimeDbSplitField(DateType.Day)]
        public new DateTime Frame { get; set; }
        [SugarColumn(ColumnDataType = "symbol")]
        public new string Code { get; set; }
    }
}
